Subject: bug#12936: 24.2; Setting 'jit-lock-defer-time' to number prevent some new buffers from automatic fontification.

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 15 Jul 2021 19:18:42 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> This was fixed as a special case in compile.el in 2014:

[...]

> So I'm not sure -- there seems to be a general problem here, but is it
> something that should be fixed?  Or is it up to individual modes (like
> compilation mode) to switch delayed fontification off?  There's probably
> not a lot of these modes that fontify process output on-the-fly.

I think it's up to the individual modes, so I'm closing this bug report.
If it happens in other modes, please open a bug report for that.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no